# $Id: gkrellm.spec,v 1.10 2002/12/09 08:55:17 dude Exp $

Summary:	The GNU Krell Monitor, stacked system monitors in one process.
Name:		gkrellm
Version:	2.1.14
Release:	0.rh73.1
Epoch:		1
License:	GPL
Group:		Applications/System
Source:		http://web.wt.net/~billw/gkrellm/gkrellm-%{version}.tar.bz2
URL:		http://www.gkrellm.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	gtk2 >= 2.0, glib2 >= 2.0
BuildRequires:	gtk2-devel >= 2.0, glib-devel >= 1.2, gettext, pkgconfig, sed
Conflicts:	gkrellm-plugins < 2.0.0

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.


%package devel
Summary: Include headers from the GNU Krell Monitor.
Group: Development/Libraries
Requires : gkrellm = %{version}

%description devel
Install this package if you intend to compile plugins to use with the
GKrellM monitor.


%package server
Summary: The GNU Krell Monitor Daemon.
Group: System Environment/Daemons
Requires: glib >= 1.2

%description server
This contains only the gkrellm daemon, which you can install on its own on
machines you intend to monitor with gkrellm from a different location.


%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" glib12=1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_libdir}/gkrellm2/plugins
mkdir -p %{buildroot}%{_datadir}/locale
mkdir -p %{buildroot}%{_datadir}/gkrellm2/themes
make install \
    INSTALLDIR=%{buildroot}%{_bindir} \
    SINSTALLDIR=%{buildroot}%{_sbindir} \
    INCLUDEDIR=%{buildroot}%{_includedir} \
    MANDIR=%{buildroot}%{_mandir}/man1 \
    LOCALEDIR=%{buildroot}%{_datadir}/locale
cat server/gkrellmd.conf | sed 's/#allow-host/allow-host/g' \
    > %{buildroot}%{_sysconfdir}/gkrellmd.conf
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYRIGHT CREDITS Changelog* README Themes.html
%{_bindir}/gkrellm
%{_libdir}/gkrellm2
%{_datadir}/gkrellm2
%{_mandir}/man1/gkrellm.1*

%files devel
%defattr(-, root, root)
%{_includedir}/gkrellm2

%files server
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/gkrellmd.conf
%{_sbindir}/gkrellmd
%{_mandir}/man1/gkrellmd.1*

%changelog
* Sun Jul 13 2003 William Stearns <wstearns@pobox.com>
- Updated to 2.1.14 sources.

* Thu May 15 2003 William Stearns <wstearns@pobox.com>
- Updated to 2.1.10 sources.

* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.3.
- Back to glib 1.2 for the daemon.

* Thu Nov 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.1.
- The gkrellmd now depends on glib2 as it won't compile with 1.2 any more.
- Allow only localhost by default in the gkrellmd.conf file.

* Mon Oct 21 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.0.

* Sun Oct  6 2002 Ville Skytt <ville.skytta at iki.fi> 1:2.0.4-fr2
- Install server to sbin instead of bin.
- Include default config for the server.

* Fri Oct  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix plugin dir location.

* Tue Sep 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.4.

* Tue Sep 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.2.
- Split the daemon, thanks to William Stearns for the suggestion and patch.
- Build the daemon with glib 1.2 and not 2.0.

* Sun Aug 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.0.

* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.13.

* Fri Jun 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.12.
- Use %%find_lang.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Thu Mar 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.11.

* Thu Mar 21 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.10.

* Sat Feb 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.9.

* Sat Jan  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.8.

* Thu Jan  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.7.

* Mon Dec 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.6.

* Wed Dec  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.5.

* Wed Oct 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.4.

* Wed Oct 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.3.

* Thu Aug 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.2.

* Thu Aug  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.1.

* Wed Aug  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.0.

* Tue Apr 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.8.

* Tue Mar 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.7, added the new manpage and changed the URL.

* Tue Jan 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.6

* Wed Jan 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.5
- Now build the NLS stuff

* Mon Jan 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.4

* Mon Jan  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.3

* Mon Jan  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- There is now a separate -devel package
- Fixed permissions
- Added an empty plugins directory
- Happy new year :-)

* Mon Dec  4 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.2
- Added an empty themes directory

* Wed Nov  8 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Re-did the spec file for RedHat 7.0

* Thu Apr 6 2000 Bill Wilson
- added INCLUDEDIR to the make install

* Fri Oct 29 1999 Gary Thomas <gdt@linuxppc.org>
- .spec file still broken

* Thu Oct 7 1999 David Mihm <davemann@ionet.net>
- fixed spec.

